# Uses of Enum Class
org.apache.sysds.utils.Explain.ExplainType

Packages that use Explain.ExplainType
Package
Description
org.apache.sysds.api
org.apache.sysds.api.mlcontext
org.apache.sysds.utils

## Uses of Explain.ExplainType in org.apache.sysds.api

Fields in org.apache.sysds.api declared as Explain.ExplainType
Modifier and Type
Field
Description
`static Explain.ExplainType`
DMLScript.`EXPLAIN`
`Explain.ExplainType`
DMLOptions.`explainType`

## Uses of Explain.ExplainType in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return Explain.ExplainType
Modifier and Type
Method
Description
`Explain.ExplainType`
MLContext.ExplainLevel.`getExplainType()`

## Uses of Explain.ExplainType in org.apache.sysds.utils

Methods in org.apache.sysds.utils that return Explain.ExplainType
Modifier and Type
Method
Description
`static Explain.ExplainType`
Explain.ExplainType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Explain.ExplainType[]`
Explain.ExplainType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.utils with parameters of type Explain.ExplainType
Modifier and Type
Method
Description
`static String`
Explain.`display(DMLProgram prog, Program rtprog, Explain.ExplainType type, Explain.ExplainCounts counts)`
`static String`
Explain.`explain(DMLProgram prog, Program rtprog, Explain.ExplainType type)`
`static String`
Explain.`explain(DMLProgram prog, Program rtprog, Explain.ExplainType type, Explain.ExplainCounts counts)`